Subject: Re: rationale for the default of DupAddrDetectTransmits

From: 神明達哉 <[email-masked]>
Date: Mon, 17 Jul 2017 11:45:23 -0700

At Mon, 17 Jul 2017 19:26:46 +0200,
Philip Homburg <[email-masked]> wrote:

> >(That said, I wouldn't necessarily be opposed to updating the default
> >value if and when we update RFC4862 so it will match the latest
> >deployments for leaf networks better).

I shouldn't have made this remark, which was not really my main
point...

> One problem here is that the collision risk is the highest in networks
> with a large number of hosts on a single link.
>
> One common example of those are the very big wifi networks found at
> conferences, etc.
>
> However, in a big wifi network, multicast is expensive. So those networks
> benefit from keeping DupAddrDetectTransmits as low as possible.

I wasn't trying to suggest increasing the default of
DupAddrDetectTransmits.  See my response to Erik.  I also didn't
intend to make any comments about whether we can safely ignore DAD
with 64-bit IIDs.  That's one reason why I changed the subject.

> Pseudo random IIDs have the interesting property that if the IID length
> is big enough and the local random number generator is of good quality,
> then broken hosts on the same link cannot increase the probability of a
> collision.
>
> So if we keep IIDs at 64 bit, then we can probably argue that for
> pseudo random IIDs we can ignore DAD, because any proper implementation
> will never see a collision anyhow.

--
JINMEI, Tatuya